Search for all

  1. Search 7.x for all
  2. Search 8.9.x for all
  3. Search 10.3.x for all
  4. Search 11.x for all
  5. Search main for all
  6. Other projects
Title Object type File name Summary
PagerTest::testMultiplePagers function core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests proper functioning of multiple pagers.
PagerTest::testNoLimit function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the none-pager-query.
PagerTest::testNormalPager function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the normal pager.
PagerTest::testPager function core/modules/views/tests/src/Functional/Wizard/PagerTest.php Tests the pager option.
PagerTest::testPagerApi function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the api functions on the view object.
PagerTest::testPagerConfigTranslation function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests translating the pager using config_translation.
PagerTest::testPagerEllipsis function core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests proper functioning of the ellipsis.
PagerTest::testPagerLocale function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests translating the pager using locale.
PagerTest::testPagerQueryParametersAndCacheContext function core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests pager query parameters and cache context.
PagerTest::testRenderNullPager function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests rendering with NULL pager.
PagerTest::testStorePagerSettings function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Pagers was sometimes not stored.
PagerTest::testViewTotalRowsWithoutPager function core/modules/views/tests/src/Functional/Plugin/PagerTest.php
PagerTestController class core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php Controller routine for testing the pager.
PagerTestController.php file core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php
PagerTestController::$pagerParams property core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php The pager request service.
PagerTestController::buildTestTable function core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php Builds a render array for a pageable test table.
PagerTestController::create function core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php Instantiates a new instance of this class.
PagerTestController::multiplePagers function core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php Returns a page with multiple pagers.
PagerTestController::queryParameters function core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php Returns a pager with 'parameters' variable.
PagerTestController::showPagerCacheContext function core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php #pre_render callback for #type => pager that shows the pager cache context.
PagerTestController::trustedCallbacks function core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php Lists the trusted callbacks provided by the implementing class.
PagerTestController::__construct function core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php Construct a new PagerTestController object.
pager_test.info.yml file core/modules/system/tests/modules/pager_test/pager_test.info.yml core/modules/system/tests/modules/pager_test/pager_test.info.yml
pager_test.module file core/modules/system/tests/modules/pager_test/pager_test.module Hook implementations for this module.
pager_test.routing.yml file core/modules/system/tests/modules/pager_test/pager_test.routing.yml core/modules/system/tests/modules/pager_test/pager_test.routing.yml
pager_test_preprocess_pager function core/modules/system/tests/modules/pager_test/pager_test.module Implements hook_preprocess_HOOK().
PageTest class core/modules/system/tests/src/Functional/Batch/PageTest.php Tests the content of the progress page.
PageTest class core/modules/views/tests/src/Unit/Plugin/display/PageTest.php @coversDefaultClass \Drupal\views\Plugin\views\display\Page[[api-linebreak]]
@group views
PageTest.php file core/modules/views/tests/src/Unit/Plugin/display/PageTest.php
PageTest.php file core/modules/system/tests/src/Functional/Batch/PageTest.php
PageTest::$defaultTheme property core/modules/system/tests/src/Functional/Batch/PageTest.php The theme to install as the default for testing.
PageTest::$modules property core/modules/system/tests/src/Functional/Batch/PageTest.php Modules to enable.
PageTest::testBatchProgressMessages function core/modules/system/tests/src/Functional/Batch/PageTest.php Tests that the progress messages are correct.
PageTest::testBatchProgressPageTheme function core/modules/system/tests/src/Functional/Batch/PageTest.php Tests that the batch API progress page uses the correct theme.
PageTest::testBatchProgressPageTitle function core/modules/system/tests/src/Functional/Batch/PageTest.php Tests that the batch API progress page shows the title correctly.
PageTest::testBuildBasicRenderable function core/modules/views/tests/src/Unit/Plugin/display/PageTest.php @covers ::buildBasicRenderable[[api-linebreak]]
PageTest::testBuildBasicRenderableWithMissingRoute function core/modules/views/tests/src/Unit/Plugin/display/PageTest.php @covers ::buildBasicRenderable[[api-linebreak]]
PageTitle class core/lib/Drupal/Core/Render/Element/PageTitle.php Provides a render element for the title of an HTML page.
PageTitle.php file core/lib/Drupal/Core/Render/Element/PageTitle.php
PageTitle::getInfo function core/lib/Drupal/Core/Render/Element/PageTitle.php Returns the element properties for this element.
PageTitleBlock class core/lib/Drupal/Core/Block/Plugin/Block/PageTitleBlock.php Provides a block to display the page title.
PageTitleBlock.php file core/lib/Drupal/Core/Block/Plugin/Block/PageTitleBlock.php
PageTitleBlock::$title property core/lib/Drupal/Core/Block/Plugin/Block/PageTitleBlock.php The page title: a string (plain title) or a render array (formatted title).
PageTitleBlock::build function core/lib/Drupal/Core/Block/Plugin/Block/PageTitleBlock.php Builds and returns the renderable array for this block plugin.
PageTitleBlock::defaultConfiguration function core/lib/Drupal/Core/Block/Plugin/Block/PageTitleBlock.php Gets default configuration for this plugin.
PageTitleBlock::setTitle function core/lib/Drupal/Core/Block/Plugin/Block/PageTitleBlock.php Sets the title.
PageTitleTest class core/modules/system/tests/src/Functional/System/PageTitleTest.php Tests HTML output escaping of page title, site name, and slogan.
PageTitleTest.php file core/modules/system/tests/src/Functional/System/PageTitleTest.php
PageTitleTest::$contentUser property core/modules/system/tests/src/Functional/System/PageTitleTest.php
PageTitleTest::$defaultTheme property core/modules/system/tests/src/Functional/System/PageTitleTest.php The theme to install as the default for testing.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.